<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'  xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="ChatAttachment"   package="performa.orm">
        
        <TABLE  name="tl_chat_attachment"  tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="File"     type="BinaryContent"    dbcol="file"    attribHelper="BLOBAttributeHelper"  attribHelperInstance="BLOBAttributeHelper.INSTANCE" binaryHandler="loggedin"/>

            <SINGLEREFERENCE    name="Message"   type="Message"      dbcol="message_id"  backreferenceName="Attachments"/>
            
        </TABLE>
        
    </BUSINESSCLASS>

</ROOT>